
QGIS Application - Bug report #4311

Georeferencer: "generate pdf map" result in a blank PDF

2011-09-24 03:07 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14248

Description

tested on trunk and both Windows and Linux

Associated revisions

Revision ca784880 - 2015-06-18 11:48 AM - Nyall Dawson

[georef] Fix blank PDF for generated PDF map (fix #4311)

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-01-11 05:33 AM - Alexander Bruy

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

Still true? Just tested with latest master and get both PDF map and report. Maybe this true only in some use cases?

#3 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 11:57 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-20 05:15 AM - Giovanni Manghi

- Assignee deleted (Maxim Dubinin)

- Target version changed from Version 2.0.0 to Version 2.4

Alexander Bruy wrote:

Still true? Just tested with latest master and get both PDF map and report. Maybe this true only in some use cases?

yes, still true on latest master: the report is ok, the "generate pdf map" creates an empty pdf.

2025-06-08 1/2



#6 - 2014-06-20 08:56 PM - Nyall Dawson

There's a few components to this:

1. The "Generate pdf map" and "Generate pdf report" settings keep getting cleared

2. The page size for the map is not correctly set. It's initially set to 0x0, which triggers this bug. You can set it to a new size from the georeferencer

properties, which fixes the map export, but this change only applies once and gets overwritten if you reopen the configure dialog.

#7 - 2014-06-21 07:38 AM - Giovanni Manghi

Nyall Dawson wrote:

There's a few components to this:

1. The "Generate pdf map" and "Generate pdf report" settings keep getting cleared

2. The page size for the map is not correctly set. It's initially set to 0x0, which triggers this bug. You can set it to a new size from the georeferencer

properties, which fixes the map export, but this change only applies once and gets overwritten if you reopen the configure dialog.

thanks for the heads up. The georeferencer would need some support and it is pretty buggy.

#8 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#9 - 2014-06-29 06:33 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Georeferencer

#10 - 2015-06-18 02:48 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"ca7848808e0cc507365d15c307e5f6f0f525dfda".
